## org.omg.SendingContext.CodeBasePackage
Class URLHelper

    java.lang.Object
      |
      +--org.omg.SendingContext.CodeBasePackage.URLHelper

public class URLHelper
extends java.lang.Object

Helper class for : URL

Author:
  OpenORB Compiler

Constructor Summary
`URLHelper()`

Method Summary
`static java.lang.String` `extract(Any a)` Extract URL from an any
`static java.lang.String` `id()` Return the URL IDL ID
`static void` `insert(Any a, java.lang.String t)` Insert URL into an any
`static java.lang.String` `read(InputStream istream)` Read URL from a marshalled stream
`static TypeCode` `type()` Return the URL TypeCode
`static void` `write(OutputStream ostream, java.lang.String value)` Write URL into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLHelper

    public URLHelper()

Method Detail

### insert

    public static void insert(Any a,
                              java.lang.String t)

  Insert URL into an any
  Parameters:
    `a` - an any
    `t` - URL value

### extract

    public static java.lang.String extract(Any a)

  Extract URL from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted URL value

### type

    public static TypeCode type()

  Return the URL TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the URL IDL ID
  Returns:
    an ID

### read

    public static java.lang.String read(InputStream istream)

  Read URL from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed URL value

### write

    public static void write(OutputStream ostream,
                             java.lang.String value)

  Write URL into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - URL value